summaryrefslogtreecommitdiffstats
path: root/screen-locker.sh
diff options
context:
space:
mode:
Diffstat (limited to 'screen-locker.sh')
-rwxr-xr-xscreen-locker.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/screen-locker.sh b/screen-locker.sh
index 3c1c9f8..144e20a 100755
--- a/screen-locker.sh
+++ b/screen-locker.sh
@@ -24,4 +24,6 @@ unlock () {
ssh mistral 'python ~/bin/irssi_socket_control.py 0'
}
+if pidof slock &> /dev/null; then exit 1; fi
+
(lock && unlock) &